package com.me.asteroids.events;

import com.me.common.ecs.Entity;
import com.me.common.ecs.event.Event;

/**
 * Called when an entity is about to wrap around the screen.
 * If cancelled, don't perform the wrapping.
 */
public class ScreenWrapEvent extends Event {

    public Entity entity;

    public ScreenWrapEvent(Entity entity) {
        this.entity = entity;
    }

}
